[arch-commits] Commit in libgpg-error/repos (6 files)

Andreas Radke andyrtr at archlinux.org
Thu Nov 13 08:32:53 UTC 2014


    Date: Thursday, November 13, 2014 @ 09:32:52
  Author: andyrtr
Revision: 226177

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  libgpg-error/repos/testing-i686/
  libgpg-error/repos/testing-i686/PKGBUILD
    (from rev 226176, libgpg-error/trunk/PKGBUILD)
  libgpg-error/repos/testing-i686/libgpg-error.install
    (from rev 226176, libgpg-error/trunk/libgpg-error.install)
  libgpg-error/repos/testing-x86_64/
  libgpg-error/repos/testing-x86_64/PKGBUILD
    (from rev 226176, libgpg-error/trunk/PKGBUILD)
  libgpg-error/repos/testing-x86_64/libgpg-error.install
    (from rev 226176, libgpg-error/trunk/libgpg-error.install)

-------------------------------------+
 testing-i686/PKGBUILD               |   34 ++++++++++++++++++++++++++++++++++
 testing-i686/libgpg-error.install   |   20 ++++++++++++++++++++
 testing-x86_64/PKGBUILD             |   34 ++++++++++++++++++++++++++++++++++
 testing-x86_64/libgpg-error.install |   20 ++++++++++++++++++++
 4 files changed, 108 insertions(+)

Copied: libgpg-error/repos/testing-i686/PKGBUILD (from rev 226176, libgpg-error/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2014-11-13 08:32:52 UTC (rev 226177)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer: Andreas Radke <andyrtr at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=libgpg-error
+pkgver=1.17
+pkgrel=1
+pkgdesc="Support library for libgcrypt"
+arch=(i686 x86_64)
+url="http://www.gnupg.org"
+license=('LGPL')
+depends=('glibc' 'sh')
+source=(ftp://ftp.gnupg.org/gcrypt/libgpg-error/${pkgname}-${pkgver}.tar.bz2{,.sig})
+	#ftp://ftp.franken.de/pub/crypt/mirror/ftp.gnupg.org/gcrypt/libgpg-error/${pkgname}-${pkgver}.tar.bz2)
+install=libgpg-error.install
+# https://www.gnupg.org/download/integrity_check.html
+sha1sums=('ba5858b2947e7272dd197c87bac9f32caf29b256'
+          'SKIP')
+
+build() {
+  cd ${pkgname}-${pkgver}
+  ./configure --prefix=/usr
+  make
+}
+
+check() {
+  cd ${pkgname}-${pkgver}
+  make check
+}
+
+package() {
+  cd ${pkgname}-${pkgver}
+  make DESTDIR="${pkgdir}/" install
+}

Copied: libgpg-error/repos/testing-i686/libgpg-error.install (from rev 226176, libgpg-error/trunk/libgpg-error.install)
===================================================================
--- testing-i686/libgpg-error.install	                        (rev 0)
+++ testing-i686/libgpg-error.install	2014-11-13 08:32:52 UTC (rev 226177)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(gpgrt.info)
+
+post_install() {
+  [[ -x usr/bin/install-info ]] || return 0
+  for file in "${filelist[@]}"; do
+    install-info "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install "$1"
+}
+
+pre_remove() {
+  [[ -x usr/bin/install-info ]] || return 0
+  for file in "${filelist[@]}"; do
+    install-info --delete "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
+  done
+}

Copied: libgpg-error/repos/testing-x86_64/PKGBUILD (from rev 226176, libgpg-error/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2014-11-13 08:32:52 UTC (rev 226177)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer: Andreas Radke <andyrtr at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=libgpg-error
+pkgver=1.17
+pkgrel=1
+pkgdesc="Support library for libgcrypt"
+arch=(i686 x86_64)
+url="http://www.gnupg.org"
+license=('LGPL')
+depends=('glibc' 'sh')
+source=(ftp://ftp.gnupg.org/gcrypt/libgpg-error/${pkgname}-${pkgver}.tar.bz2{,.sig})
+	#ftp://ftp.franken.de/pub/crypt/mirror/ftp.gnupg.org/gcrypt/libgpg-error/${pkgname}-${pkgver}.tar.bz2)
+install=libgpg-error.install
+# https://www.gnupg.org/download/integrity_check.html
+sha1sums=('ba5858b2947e7272dd197c87bac9f32caf29b256'
+          'SKIP')
+
+build() {
+  cd ${pkgname}-${pkgver}
+  ./configure --prefix=/usr
+  make
+}
+
+check() {
+  cd ${pkgname}-${pkgver}
+  make check
+}
+
+package() {
+  cd ${pkgname}-${pkgver}
+  make DESTDIR="${pkgdir}/" install
+}

Copied: libgpg-error/repos/testing-x86_64/libgpg-error.install (from rev 226176, libgpg-error/trunk/libgpg-error.install)
===================================================================
--- testing-x86_64/libgpg-error.install	                        (rev 0)
+++ testing-x86_64/libgpg-error.install	2014-11-13 08:32:52 UTC (rev 226177)
@@ -0,0 +1,20 @@
+infodir=usr/share/info
+filelist=(gpgrt.info)
+
+post_install() {
+  [[ -x usr/bin/install-info ]] || return 0
+  for file in "${filelist[@]}"; do
+    install-info "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install "$1"
+}
+
+pre_remove() {
+  [[ -x usr/bin/install-info ]] || return 0
+  for file in "${filelist[@]}"; do
+    install-info --delete "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
+  done
+}


More information about the arch-commits mailing list